Package org.eclipse.net4j.util.om.log

# Interface OMLogHandler

All Known Implementing Classes:
  `AbstractLogHandler`, `EclipseLoggingBridge`, `FileLogHandler`, `OSGiLoggingBridge`, `OSGiLogHandler`, `PrintLogHandler`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface OMLogHandler
Handles `filtered` log events, for example appends them to a `stream` or the Eclipse `error log`.

Author:
  Eike Stepper
See Also:
  - `OMPlatform.addLogHandler(OMLogHandler)`
  - `OMPlatform.removeLogHandler(OMLogHandler)`
  - `EclipseLoggingBridge.INSTANCE`
  - `PrintLogHandler.CONSOLE`
  - `OSGiLoggingBridge.INSTANCE`
  - `FileLogHandler`

## Method Summary

Modifier and Type
Method
Description
`void`
`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`

## Method Details

### logged

void logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)